
QGIS Application - Feature request #11532

Dynamic legend: add another page to layout when necessary

2014-11-03 06:29 AM - Andrea Fantini

Status: Open

Priority: Normal

Assignee:
Pull Request or Patch supplied:No Resolution:

Easy fix?: No Copied to github as #: 19802

Description

new description:

with the new dynamic legend, it is impossible to predict how long the legend will be, so the idea is to have the legend on the same page of

the main map when it fits in, but adding a new page and moving the legend there when it is too long; the same would apply to the table of

attributes.

-----------------------------

old description:

Hi,

I noticed that the print function in lizmap has improved a lot, but always generates two-page pdf even when the legend is very short (only

one layer). I thought that the generation of the second page should be done only when the legend does not fall within given space

(perhaps imposed by the design side qgis).

by thanks

Andrea

History

#1 - 2014-11-03 06:30 AM - Paolo Cavallini

- Assignee deleted (Paolo Cavallini)

#2 - 2014-11-03 08:54 AM - Giovanni Manghi

- Status changed from Open to Feedback

- Priority changed from High to Normal

- Target version deleted (Version 2.6)

is this a qgis server issue or a lizmap one? seems like the second(?).

#3 - 2014-11-03 09:11 AM - Paolo Cavallini

- Category changed from QGIS Server to Map Composer/Printing

Actually it's a print layout one: LizMap uses the print layout from the project.

#4 - 2014-11-03 12:04 PM - Giovanni Manghi

so the issue is that the composer always produce a 2 page print/pdf when it includes a legend, even if it configured to be a 1 page layout? The subject and
description of this ticket does not help understand the issue and how try replicate it. Thanks.

#5 - 2014-11-03 10:41 PM - Paolo Cavallini

- Tracker changed from Bug report to Feature request

AFAICT, this is a feature request:

with the new dynamic legend, it is impossible to predict how long the legend will be, so the idea is to have the legend on the same page of the main map

when it fits in, but adding a new page and moving the legend there when it is too long; the same would apply to the table of attributes.

#6 - 2014-11-04 12:22 AM - Giovanni Manghi

- Subject changed from Dislocation conditional legend when short to Dynmic legend: add another page to layout when necessary

- Status changed from Feedback to Open

#7 - 2014-11-04 12:23 AM - Paolo Cavallini

- Subject changed from Dynmic legend: add another page to layout when necessary to Dynamic legend: add another page to layout when necessary

#8 - 2017-05-01 12:47 AM - Giovanni Manghi

- Easy fix? set to No
